package de.unikoblenz.fgbks.base.domain;

import de.unikoblenz.fgbks.base.value.AbstractStringValueObject;

/**
 * A value object representing a description.
 */
public class Description extends AbstractStringValueObject {

  /** Create a new copy of the given description object. */
  public Description(Description initialValue) {
    this(initialValue.getValue());
  }

  /** Create a description object with the given {@code initialValue}. */
  public Description(String initialValue) {
    super(initialValue);
  }

  @Override
  protected Integer getMaxLength() {
    return 2000;
  }
}
