package de.unikoblenz.fgbks.base.domain;

import de.unikoblenz.fgbks.base.value.AbstractStringValueObject;

/**
 * A value object representing a label.
 */
public class Label extends AbstractStringValueObject {

  /** Create a new copy of the given label object. */
  public Label(Label initialValue) {
    this(initialValue.getValue());
  }

  /** Create a label object with the given {@code initialValue}. */
  public Label(String initialValue) {
    super(initialValue);
  }

  @Override
  protected Integer getMaxLength() {
    return 1000;
  }
}
