package de.unikoblenz.fgbks.base.domain;

import de.unikoblenz.fgbks.base.value.AbstractStringValueObject;

/**
 * A value object representing a string value.
 */
public class StringValue extends AbstractStringValueObject {

  /** Create a new copy of the given string value object. */
  public StringValue(StringValue initialValue) {
    this(initialValue.getValue());
  }

  /** Create a string value object with the given {@code initialValue}. */
  public StringValue(String initialValue) {
    super(initialValue);
  }

  @Override
  protected Integer getMaxLength() {
    return 1000;
  }
}
