package de.unikoblenz.fgbks.base.utils.boundary.bicreater;

import de.unikoblenz.fgbks.base.utils.boundary.Boundary;
import java.util.Optional;

/**
 * The biCreater interface. Used to create a new Boundary of a given one and an other boundary with
 * a modification, specified by the {@link BoundaryBiCreaterType}.
 *
 * @param <T> the boundary type
 */
public interface BoundaryBiCreater<T extends Boundary> {

  /**
   * Get the {@link BoundaryBiCreaterType}.
   *
   * @return the {@link BoundaryBiCreaterType}
   */
  BoundaryBiCreaterType getType();

  /**
   * Perform the creation of a new boundary with the given two boundaries.
   *
   * @param b1 one boundary
   * @param b2 the other boundary
   * @return An optional with a new boundary or an empty optional, if the creation fails.
   */
  Optional<T> create(T b1, T b2);
}
