package de.unikoblenz.fgbks.base.utils.boundary.bicreater;

public enum BoundaryBiCreaterType {
  /**
   * Type, that indicates, that the creater should create a new boundary, which is the intersection
   * of the two boundaries.
   */
  INTERSECTION,
  /**
   * Type, that indicates, that the creater should create a new boundary with the lower bounds of
   * both boundaries.
   */
  LOWER_BOUNDS,
  /**
   * Type, that indicates, that the creater should create a new boundary with the upper bounds of
   * both boundaries.
   */
  UPPER_BOUNDS,
  /**
   * Type, that indicates, that the creater should create a new boundary, which is between the both
   * boundaries.
   */
  BETWEEN,
  /**
   * Type, that indicates, that the creater should create a new boundary, which is a combination of
   * the both boundaries. However, both boundaries are not in contact.
   */
  APPEND,
  /**
   * Type, that indicates, that the creater should create a new boundary, which is a combination of
   * the both boundaries. Both boundaries can be in contact. (UNION)
   */
  COMBINE
}
