package de.unikoblenz.fgbks.base.utils.boundary.checker;

import de.unikoblenz.fgbks.base.utils.boundary.impl.StringBoundary;

public class CheckStringSubsumption extends AbstractBoundaryCheck<StringBoundary> {

  private static CheckStringSubsumption instance = new CheckStringSubsumption();

  private CheckStringSubsumption() {
    super();
  }

  /**
   * Get the current instance of this class.
   *
   * @return the singleton instance
   */
  public static CheckStringSubsumption getInstance() {
    return instance;
  }

  @Override
  public BoundaryCheckType getType() {
    return BoundaryCheckType.IS_NOT_IN_CONTACT;
  }

  @Override
  public boolean check(StringBoundary b1, StringBoundary b2) {
    return checkSubsumption(b1, b2);
  }

  /**
   * see {@link CheckStringSubsumption}
   */
  public static boolean checkSubsumption(StringBoundary b1, StringBoundary b2) {
    return CheckStringSubsumes.checkSubsumes(b1, b2) || CheckStringSubsumes.checkSubsumes(b2, b1);
  }
}
